<?php

/////////reports////////

Route::get('supplier_products/report/{id}',['as' => 'supplier_products.report',
	'uses' => 'ReportController@SupplierProduct']);

Route::get('customer/productReport/{id}',['as' => 'customer.productReport',
	'uses' => 'ReportController@customerProduct']);

//Meterial request report route////

Route::get('mr/report/index',['as' => 'mr.report.index',
	'uses' => 'ReportController@materialReport']);

Route::get('mr/report/list/{id}',['as' => 'mr.report.list',
	'uses' => 'ReportController@materialList']);



// mr product Wise report

Route::get('mr/report/page',['as' => 'mr.report.page',
	'uses' => 'ReportController@mrPage']);

Route::post('mr/report/view',['as' => 'mr.report.view',
	'uses' => 'ReportController@mrView']);

Route::get('mr/datewise/page',['as' => 'mr.datewise.page',
	'uses' => 'ReportController@mrDatePage']);

Route::post('mr/datewise/view',['as' => 'mr.datewise.view',
	'uses' => 'ReportController@mrDateView']);

Route::get('notification/page',['as' => 'notification.page',
	'uses' => 'ReportController@notificationPage']);

Route::post('notification/view',['as' => 'notification.view',
	'uses' => 'ReportController@notificationView']);

// mr product report

Route::get('mr/product/report/index',['as' => 'mr.product.report.index',
	'uses' => 'ReportController@mrProductIndex']);

Route::post('mr/product/report/view',['as' => 'mr.product.report.view',
	'uses' => 'ReportController@mrProductView']);

Route::get('mr_product/list/product',['as' => 'mr_product.list.product',
	'uses' => 'ReportController@listProduct']);

//// mr consolidated report

Route::get('mr/consolidated/report/index',['as' => 'mr.consolidated.report.index',
	'uses' => 'ReportController@mrConsIndex']);

Route::post('mr/consolidated/report/view',['as' => 'mr.consolidated.report.view',
	'uses' => 'ReportController@mrConsView']);

Route::get('mr/consolidated_report/sub_group',['as' => 'mr.consolidated_report.sub_group',
	'uses' => 'ReportController@mrSubGroup']);

/////mr customer wise report

Route::get('mr/customerwise/report/index',['as' => 'mr.customerwise.report.index',
	'uses' => 'ReportController@mrCustomerIndex']);

Route::post('mr/customerwise/list',['as' => 'mr.customerwise.list',
	'uses' => 'ReportController@mrCustomerwiseList']);

Route::get('mr/customerwise/report/{id}/{category?}',['as' => 'mr.customerwise.report',
	'uses' => 'ReportController@mrCustomerReport']);

Route::get('mr/customerwise/return',['as'=>'mr.customerwise.return',
	'uses' => 'ReportController@mrCustomerReturn']);



// mr delivered detail report // 

Route::get('mr/delivered/page',['as' => 'mr.delivered.page',
	'uses' => 'ReportController@mrDeliveredPage']);

Route::post('mr/delivered/view',['as' => 'mr.delivered.view',
	'uses' => 'ReportController@mrDeliveredReport']);

//// status report

Route::get('status_report/index',['as' => 'status_report.index',
	'uses' => 'ReportController@statusReportIndex']);

Route::post('status_report/view',['as' => 'status_report.view',
	'uses' => 'ReportController@statusReportView']);

 // mr tag wise report

    Route::get('mr/tagwise/page',['as' => 'mr.tagwise.page',
    'uses' => 'ReportController@mrTagPage']);

    Route::post('mr/tagwise/report',['as' => 'mr.tagwise.report',
    'uses' => 'ReportController@mrTagReport']);

     // product variation page
    
    Route::get('product/variation/page',['as' => 'product.variation.page',
    'uses' => 'ReportController@productVariationPage']);

    Route::post('product/variation/report',['as' => 'product.variation.report',
    'uses' => 'ReportController@productVariationReport']);

 ////cancelled product report

Route::get('mr/cancelled_product/report/index',['as' => 'mr.cancelled_product.report.index',
	'uses' => 'ReportController@CancelledProductIndex']);

Route::post('mr/cancelled_product/report/view',['as' => 'mr.cancelled_product.report.view',
	'uses' => 'ReportController@CancelledProductReport']);


/////////PR report//////////

Route::get('pr_report/index',['as' => 'pr_report.index',
	'uses' => 'ReportController@prIndex']);

Route::get('pr_report/get/prpo','ReportController@getPRPO');

Route::post('pr_report/view',['as' => 'pr_report.view',
	'uses' => 'ReportController@prReport']);


Route::get('supplier/wise/product/list/{id}/{pid}',['as' => 'supplier.wise.product.list', 'uses' => 'SupplierPrController@pdtList']);

// Consignment Report //

Route::get('consignment_report_page',['as' => 'consignment.report.page',
	'uses' => 'ReportController@consignmentPage']);

Route::post('consignment_report/view',['as' => 'consignment_report.view',
	'uses' => 'ReportController@consignmentView']);

// mr recieved report
Route::get('recieved/mr/report/page',['as' => 'recieved.mr.report.page',
	'uses' => 'ReportController@recievedMRPage']);

Route::post('recieved/mr/report/view',['as' => 'recieved.mr.report.view',
	'uses' => 'ReportController@recievedMRView']);

// damge entry report
Route::get('damage/entry/report/page',['as' => 'damage.entry.report.page',
	'uses' => 'ReportController@damageReportPage']);

Route::post('damage/entry/report/view',['as' => 'damage.entry.report.view',
	'uses' => 'ReportController@damageEntryView']);

// damge entry report
Route::get('goods/return/report/page',['as' => 'goods.return.report.page',
	'uses' => 'ReportController@goodsReturnPage']);

Route::post('goods/return/report/view',['as' => 'goods.return.report.view',
	'uses' => 'ReportController@goodsReturnView']);





//Material request report////

Route::get('material/request/report/index',['as' => 'material.request.report.index',
	'uses' => 'RequestsReportController@index']);

Route::post('material/request/report/list',['as' => 'material.request.report.list',
	'uses' => 'RequestsReportController@mrReport']);





//Material request report////

Route::get('cash/credit/report/index',['as' => 'cash.credit.report.index',
	'uses' => 'CashAndCreditReportController@index']);


Route::post('cash/credit/report/list',['as' => 'cash.credit.report.list',
	'uses' => 'CashAndCreditReportController@report']);


Route::get('order/history/report',['as' => 'order.history.report',
	'uses' => 'CashAndCreditReportController@orderHistoryReport']);
